Upload SRT File to Proofread Job
POST
https://api.konpro.ai/v1/video_translate/proofread/{proofread_id}/upload-srtUpload a subtitle file (SRT) to an existing video proofread job using a presigned URL to the SRT file.
Request History
Log in to see full request history
| TIME | STATUS | USER AGENT |
|---|---|---|
| Make a request to see history. | ||
0 Requests This Month
Path Parameter
| Parameter | Type | Description |
|---|---|---|
| proofread_id | string | Unique identifier of the proofread job |
Request Body Parameters
| Field | Type | Description |
|---|---|---|
| srt_file_url | string | Presigned URL pointing to the SRT file to upload |
Response
Returns standard success or error codes depending on the outcome.
cURL Request
shell
curl --request POST \
--url https://api.konpro.ai/v1/video_translate/proofread/<proofread_id>/upload-srt \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--header 'x-api-key: <your-api-key>' \
--data '{
"srt_file_url": "https://yourstorage.com/presigned-url-to-srt-file.srt"
}'LANGUAGE
CREDENTIALS
HEADER
RESPONSE
Examples
Choose an example:
application/json
200 - Success
400 - Bad Request
LANGUAGE
CREDENTIALS
HEADER
RESPONSE
Examples
Choose an example:
application/json
200 - Success
400 - Bad Request